Bug 1713134 - AvoidPod serial e2e test has flaked
Summary: AvoidPod serial e2e test has flaked
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-scheduler
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.3.0
Assignee: Jan Chaloupka
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-23 00:16 UTC by Clayton Coleman
Modified: 2020-01-23 11:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 11:03:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24081 'None' 'closed' 'bug 1713134: UPSTREAM: 84513: test/e2e: AddOrUpdateAvoidPodOnNode/RemoveAvoidPodsOffNode: retry when conflict hit durin... 2019-12-02 16:41:52 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:03:57 UTC

Description Clayton Coleman 2019-05-23 00:16:13 UTC
fail [k8s.io/kubernetes/test/e2e/scheduling/priorities.go:191]: Expected error:
    <*errors.errorString | 0xc0002ca210>: {
        s: "timed out waiting for the condition",
    }
    timed out waiting for the condition
not to have occurred

https://openshift-gce-devel.appspot.com/build/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-serial-4.1/818#openshift-tests-sig-scheduling-schedulerpriorities-serial-pod-should-avoid-nodes-that-have-avoidpod-annotation-suiteopenshiftconformanceserial-suitek8s

This is likely not a 4.1 blocker, but we need to know why this happened.  If this is just a bug in the test, it's probably a medium.  But on the off chance this is an actual scheduler bug (the cluster is idle) and avoidPod might be used on the control plane, needs investigation.

Comment 7 Jan Chaloupka 2019-10-29 11:56:28 UTC
Upstream PR: https://github.com/kubernetes/kubernetes/pull/84513

Comment 9 ge liu 2019-11-27 05:53:17 UTC
Checked recently e2e run, this problem seem disappear.

Comment 11 errata-xmlrpc 2020-01-23 11:03:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.